Sales Order Locations

The sales order locations resource.

Basehttps://rest.carbon.ms/salesOrderLocations
GET/salesOrderLocations

List sales order locationss

Retrieve a paginated list of sales order locationss. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/salesOrderLocations
curl --request GET \
  --url 'https://rest.carbon.ms/salesOrderLocations?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "customerName": "string",
    "customerAddressLine1": "string",
    "customerAddressLine2": "string",
    "customerCity": "string",
    "customerStateProvince": "string",
    "customerPostalCode": "string",
    "customerCountryCode": "string"
  }
]
GET/salesOrderLocations

Retrieve a sales order locations

Fetch a single sales order locations by filtering on `id`.

Query parameters

idstring

Match on the sales order locations's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/salesOrderLocations
curl --request GET \
  --url 'https://rest.carbon.ms/salesOrderLocations?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "customerName": "string",
  "customerAddressLine1": "string",
  "customerAddressLine2": "string",
  "customerCity": "string",
  "customerStateProvince": "string",
  "customerPostalCode": "string",
  "customerCountryCode": "string"
}